
TYPO3.Flow - Task # 34304

Status: Resolved Priority: Should have
Author: Aske Ertmann Category: Security
Created: 2012-02-26 Assigned To: Aske Ertmann
Updated: 2012-03-01 Due date:
Sprint:
PHP Version:
Has patch: Yes
Complexity: easy
Subject: Add abstract classes for entrypoint, provider & token in security authentication
Description

There's a lot of duplicated code in the security authentication, we should create some abstract classes to prevent this.

Associated revisions
Revision 2a7a67fc - 2012-02-29 15:06 - Aske Ertmann 

[TASK] Add abstract classes for entrypoint, provider & token in security authentication

Change-Id: Ie3a0a8c3fe43689a70c14e5882c3f5e0d4233250
Resolves: #34304
Releases: 1.1

History
#1 - 2012-02-26 22:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9242

#2 - 2012-02-26 22:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9242

#3 - 2012-02-27 22:48 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9242

#4 - 2012-02-28 23:12 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9242
#5 - 2012-02-29 16:12 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9242

#6 - 2012-03-01 02:38 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:2a7a67fca12db09aa970549f36b34a50446d4a26.
